Index: /extensions/MyPiwiShop/admin.php
===================================================================
--- /extensions/MyPiwiShop/admin.php	(revision 27742)
+++ /extensions/MyPiwiShop/admin.php	(revision 27743)
@@ -2,5 +2,6 @@
 
 defined('MPS_PATH') or die('Hacking attempt!');
- 
+
+
 global $template, $page, $conf;
 
@@ -40,2 +41,3 @@
 
   $template->assign_var_from_handle('ADMIN_CONTENT', 'mps_content');
+  
Index: /extensions/MyPiwiShop/admin/MyPiwiShopBatch.php
===================================================================
--- /extensions/MyPiwiShop/admin/MyPiwiShopBatch.php	(revision 27742)
+++ /extensions/MyPiwiShop/admin/MyPiwiShopBatch.php	(revision 27743)
@@ -2,7 +2,7 @@
 defined('MPS_PATH') or die('Hacking attempt!');
 
-global $template, $conf;
+global $template;
 
-  $query='SELECT * FROM '.MPS_PRODUCT_TABLE.';';
+  $query='SELECT * FROM '.MPS_PRODUCT_TABLE.' ORDER BY `order`;';
   $result = pwg_query($query);
   $product = array();
Index: /extensions/MyPiwiShop/admin/MyPiwiShopBatchUnit.php
===================================================================
--- /extensions/MyPiwiShop/admin/MyPiwiShopBatchUnit.php	(revision 27742)
+++ /extensions/MyPiwiShop/admin/MyPiwiShopBatchUnit.php	(revision 27743)
@@ -20,71 +20,38 @@
 	
 
-global $template, $conf, $page, $element_ids;
+global $template, $element_ids;
  
-
- $query='SELECT * FROM '.MPS_CONF_TABLE.';';
-  $result 	= pwg_query($query);
+ $query='SELECT * FROM '.MPS_PRODUCT_TABLE.' ORDER BY `order`;';
+  $result = pwg_query($query);
+  $products = array();
+  
   while($row = pwg_db_fetch_assoc($result)){
-   $config = $row ;
+  $products[]= $row;
   }
 
-  $query='
-  SELECT id
-  FROM '.IMAGES_TABLE.' 
+  $query='SELECT * FROM '.MPS_CONF_TABLE.';';
+    $result 	= pwg_query($query);
+  while($row = pwg_db_fetch_assoc($result)){
+    $config = $row ;
+  }
+
+ $query='
+  SELECT i.id, pi.image_id, pi.product_id
+  FROM '.IMAGES_TABLE.' AS i
+  LEFT JOIN '.MPS_PROD_IMG_TABLE.' AS pi ON pi.image_id = i.id
   WHERE id IN ('.implode(',', $element_ids).')
+  ;';
+  $result = pwg_query($query);
+  $productcheck = array();
   
-;';
-  $productImg = array();
-  $result = pwg_query($query);
-  while($row1 = pwg_db_fetch_assoc($result)){
-
-	$query='
-	SELECT *
-	FROM '.MPS_PROD_IMG_TABLE.' AS pit
-    JOIN '.MPS_PRODUCT_TABLE.' AS t ON t.id = pit.product_id
-	WHERE image_id = '.$row1['id'].'
-	;';
-	$re = pwg_query($query);
-	$prod = array();
-	$prodid = array();
-	$productCheck = array();
-    while($row = pwg_db_fetch_assoc($re)){
-	   $prod = array("id"			=>$row['id'],
-					 "product"		=>$row['product'],
-				     "noteAdmin"	=>$row['noteAdmin'],
-				     "price"		=>$row['price'],
-					);
-	   $productCheck[]=$prod;
-	   
-       $prodid[] = $row['id'];
-	for($i=0;$i<count($productCheck);$i++){
-	$productCheck[$i]['check'] = 'true';	
-	}
-	}
-
-	   $query = '
-	SELECT *
-	FROM '.MPS_PRODUCT_TABLE.'
-	;';
-	
-	$resu = pwg_query($query);
-	$product = array();
-	while($row2 = pwg_db_fetch_assoc($resu)){
-
-	if (!in_array($row2['id'], $prodid)) {
-	$product[]= $row2;
-	}
-	}
-	for($i=0;$i<count($product);$i++){
-	$product[$i]['check'] = 'false';	
-	}
-
-	$productimg = array_merge($productCheck, $product);
-
-	$productImg[$row1['id']] = $productimg;
+  while($row = pwg_db_fetch_assoc($result)){
+	$productcheck[] = $row;
   }
+		
+  
 	$template->assign(array(
-	'mps_conf'		  => $config,
-	'mps_productcheck' => $productImg,
+	'mps_products'	   => $products,
+	'mps_conf'		   => $config,
+	'mps_productcheck' => $productcheck,
 	));
 
Index: /extensions/MyPiwiShop/admin/config.php
===================================================================
--- /extensions/MyPiwiShop/admin/config.php	(revision 27742)
+++ /extensions/MyPiwiShop/admin/config.php	(revision 27743)
@@ -38,15 +38,14 @@
 	$tpruniq 	= $_POST['tpruniq'];
 	
-	
-	
-
 	$query='UPDATE '.MPS_CONF_TABLE.' 
 	SET PPid = \''.$PPid.'\',currency = \''.$currency.'\',ship = \''.$ship.'\',comm = \''.$comm.'\' ,tprmulti = \''.$tprmulti.'\',tpruniq = \''.$tpruniq.'\'
 	WHERE id=1;';
-	@$res=pwg_query($query);
-   if($res==1)
+	$result=pwg_query($query);
+   if($result==1)
     $page['infos']=l10n('Your configuration settings are saved');
    else
     $page['errors']=l10n('Error');
+
+}
 
  $query='SELECT * FROM '.MPS_CONF_TABLE.';';
@@ -56,13 +55,9 @@
    }
 
-	$template->assign(array(
-    'mps_conf'		=> $config
-    ));  
-}
-
 
 
 $template->assign(array(
   'mps_currency' 	=> $select_options_currency,
+  'mps_conf'		=> $config
   ));
 
Index: /extensions/MyPiwiShop/admin/home.php
===================================================================
--- /extensions/MyPiwiShop/admin/home.php	(revision 27742)
+++ /extensions/MyPiwiShop/admin/home.php	(revision 27743)
@@ -12,6 +12,6 @@
 
 $template->assign(array(
-  'mps_conf' 		=> $config,
-  'INTRO_CONTENT' 	=> load_language('intro.html', MPS_PATH, array('return'=>true)),
+  'mps_conf' 			=> $config,
+  'INTRO_CONTENT' 		=> load_language('intro.html', MPS_PATH, array('return'=>true)),
   ));
 
Index: /extensions/MyPiwiShop/admin/options.php
===================================================================
--- /extensions/MyPiwiShop/admin/options.php	(revision 27742)
+++ /extensions/MyPiwiShop/admin/options.php	(revision 27743)
@@ -1,4 +1,5 @@
 <?php
 defined('MPS_PATH') or die('Hacking attempt!');
+
 
   $select_type_opt=array(
@@ -34,5 +35,5 @@
 	
 	$order = array();
-	$query ='SELECT * FROM '.MPS_PRODUCT_TABLE.';';
+	$query ='SELECT * FROM '.MPS_OPTION_TABLE.';';
 	$result = pwg_query($query);
 	while($row = pwg_db_fetch_assoc($result)){
Index: /extensions/MyPiwiShop/admin/product.php
===================================================================
--- /extensions/MyPiwiShop/admin/product.php	(revision 27742)
+++ /extensions/MyPiwiShop/admin/product.php	(revision 27743)
@@ -1,4 +1,5 @@
 <?php
 defined('MPS_PATH') or die('Hacking attempt!');
+
 
   if(isset($_POST['check'])){
@@ -118,5 +119,5 @@
     }
 }
-//_________________________________________________________________
+
   $select_type_opt=array(
   'select'   =>'select',
@@ -129,4 +130,16 @@
 if (isset($_POST['option_add']))
 {
+	$order = array();
+	$query ='SELECT * FROM '.MPS_OPTION_TABLE.';';
+	$result = pwg_query($query);
+	while($row = pwg_db_fetch_assoc($result)){
+    	$order[] = $row['order'];
+	}
+	
+	if (count($order) == 0) {
+	$order = 1;
+	}else{
+	$order = max($order)+1;
+	}
 
 	$name		= $_POST['name'];
@@ -141,6 +154,6 @@
 	
 	
-	$query='INSERT into '.MPS_OPTION_TABLE.' (name,type,titre,requi) 
-			values (\''.$name.'\',\''.$type.'\',\''.$title.'\',\''.$requi.'\');';
+	$query='INSERT into '.MPS_OPTION_TABLE.' (`name`,`type`,`titre`,`requi`,`order`) 
+			values (\''.$name.'\',\''.$type.'\',\''.$title.'\',\''.$requi.'\',\''.$order.'\');';
    
 	pwg_query($query);		
@@ -157,8 +170,7 @@
 	}
 	
-	 echo('<div><div id="idlastopt">'.$select_id.'</div></div>');
+	 echo('<div><div id="idlastopt" data-idlo="'.$select_id.'"></div></div>');
 	
 }
-//_____________________________________________________________________
   
  $query='SELECT * FROM '.MPS_PRODUCT_TABLE.' ORDER BY `order`;';
Index: tensions/MyPiwiShop/admin/product_tablereload.php
===================================================================
--- /extensions/MyPiwiShop/admin/product_tablereload.php	(revision 27742)
+++ 	(revision )
@@ -1,24 +1,0 @@
-<?php
-define('PHPWG_ROOT_PATH','../../../');
-include_once(PHPWG_ROOT_PATH.'include/common.inc.php');
-
- $query='SELECT * FROM '.MPS_PRODUCT_TABLE.' ORDER BY `order`;';
-  $result = pwg_query($query);
-  $products = array();
-  while($row = pwg_db_fetch_assoc($result)){
-  	$query='
-	SELECT *
-	FROM '.MPS_PROD_OPT_TABLE.' AS op
-	JOIN '.MPS_OPTION_TABLE.' AS p ON p.id = op.opt_id
-	WHERE product_id = '.$row['id'].'
-	;';
-	$res = pwg_query($query);
-	$opt = array();
-	while($row1 = pwg_db_fetch_assoc($res)){
-    $opt[] = $row1['name'];
-	}
-	$row['option'] = $opt ;
-	$products[$row['id']]=$row;
-  }
-
-echo json_encode($products);
Index: /extensions/MyPiwiShop/admin/template/MyPiwiShopBatchUnit.tpl
===================================================================
--- /extensions/MyPiwiShop/admin/template/MyPiwiShopBatchUnit.tpl	(revision 27742)
+++ /extensions/MyPiwiShop/admin/template/MyPiwiShopBatchUnit.tpl	(revision 27743)
@@ -19,6 +19,4 @@
 
 
-{foreach from=$mps_productcheck key=key item=products name=product}
-{if $key == $imgid}
 <br></br>
 
@@ -39,7 +37,8 @@
 	</tread>
 	<tbody>
-	{foreach from=$products item=product name=product}
+	{foreach from=$mps_products item=product name=product}
 		<tr class="{if $smarty.foreach.product.index is odd}row1{else}row2{/if}">
-			<td><input type="checkbox" name="productcheck[]" value={$product.id} {if $product.check == 'true'}checked{/if}></td>
+			<td><input type="checkbox" name="productcheck[]" value={$product.id}
+			{foreach from=$mps_productcheck  item=prodcheck name=prodcheck} {if $prodcheck.id == $imgid && $prodcheck.product_id == $product.id}checked{/if}{/foreach}></td>
 			<td>{$product.product} </td>
 			<td>{$product.noteAdmin}</td>
@@ -67,4 +66,2 @@
 </div>
 
-{/if}
-{/foreach}
Index: /extensions/MyPiwiShop/admin/template/options.tpl
===================================================================
--- /extensions/MyPiwiShop/admin/template/options.tpl	(revision 27742)
+++ /extensions/MyPiwiShop/admin/template/options.tpl	(revision 27743)
@@ -235,4 +235,7 @@
 		
 		$('#ChangeOrder').click(function() {
+			var $pos	= $(document).scrollTop(),
+				$pos 	= $pos + 100;
+			$('#change_Order .add_content').css('top',$pos)
 			$("#change_Order").fadeIn(
 			);
Index: /extensions/MyPiwiShop/admin/template/product.tpl
===================================================================
--- /extensions/MyPiwiShop/admin/template/product.tpl	(revision 27742)
+++ /extensions/MyPiwiShop/admin/template/product.tpl	(revision 27743)
@@ -22,5 +22,5 @@
 		
 		$('#AddProd').click(function() {
-			$('.add_content').css('top','100px')
+			$('.add_wrap').css('top','100px')
 			$('.Tadd').show();
 			$('#Add_product').fadeIn();
@@ -197,4 +197,8 @@
 		
 		$('#ChangeOrder').click(function() {
+			var $pos	= $(document).scrollTop(),
+				$pos 	= $pos + 100;
+				
+			$('#change_Order .add_content').css('top',$pos)
 			$("#change_Order").fadeIn(
 			);
@@ -224,5 +228,5 @@
 		});
 		
-		$('.addVal').click(function() {
+		$(document).on('click','.addVal',function(){
 			$('.valeur').append($('<div/>').addClass('val').append($val));
 			;return false;
@@ -239,4 +243,16 @@
 				}
 			}
+			return false
+		});
+		
+		$(document).on('click','#close_addoption',function() {
+			$('#sub_add_product').show();
+			$('#add_option_prod input[type=text]').attr('value','');
+			$('.val').remove();
+			$('.valeur').append($('<div/>').addClass('val').append($val));
+			$('select#optType option').each(function(){
+				$(this).removeAttr('selected');
+			});
+			$('#add_option_prod').hide().html($add_opt);
 			return false
 		});
@@ -261,6 +277,5 @@
 					data: $(this).serialize(),
 					success: function(html){
-						var $idlo = $(html).find('#idlastopt').text();
-						console.debug($idlo);
+						var $idlo = $(html).find('#idlastopt').data('idlo');
 						$('#opt select').append($('<option />').attr({'value':$idlo,'selected':'selected'}).text($optecour));
 						$('.chzn-select').trigger("chosen:updated");
@@ -285,4 +300,11 @@
 
 <div id="prodvar" class="titrePage" data-product='{$mps_product|@json_encode}'>
+  <ul class="HelpActions">
+	<li>
+	<a title="Aide" onclick="popuphelp(this.href); return false;" href="admin/popuphelp.php?page=cat_options">
+	<img alt="(?)" src="admin/themes/clear/icon/help.png">
+	</a>
+	</li>
+</ul>
   <h2>{'Products'|@translate}</h2>
 </div>
@@ -345,4 +367,5 @@
 <div id="add_option_prod"  style="display:none">
 <div>
+<span id="close_addoption" class="close_box_add"></span>
 
 <form id="addopt_form" method="post" name="add_opt" action="">
Index: /extensions/MyPiwiShop/include/functions.inc.php
===================================================================
--- /extensions/MyPiwiShop/include/functions.inc.php	(revision 27742)
+++ /extensions/MyPiwiShop/include/functions.inc.php	(revision 27743)
@@ -1,35 +1,4 @@
 <?php
 defined('MPS_PATH') or die('Hacking attempt!');
-
-/**
-*prefilte calcul
-**/
-function filter_sets_image_format($ratios)
-{
-  $res = array();
-  
-   $query = '
-   SELECT id, width, height
-   FROM '.IMAGES_TABLE.'
-   ;';
-   	
-   $result = pwg_query($query);
-   if (pwg_db_num_rows($result))
-   {
-    while ($row = pwg_db_fetch_assoc($result))
-    {
-    if ($row['width']>0 && $row['height']>0)
-     {
-     $ratio = floor($row['width'] / $row['height'] * 100) / 100;
-   		
-    if(($ratio > $ratios[0] && $ratio < $ratios[1]) || ($ratio > $ratios[2] && $ratio < $ratios[3]))
-     {
-      $res[] = $row['id']; 
-     }
-   	}
-   }
- }
-	return $res;
-}
 
 /**
Index: /extensions/MyPiwiShop/include/public_events.inc.php
===================================================================
--- /extensions/MyPiwiShop/include/public_events.inc.php	(revision 27742)
+++ /extensions/MyPiwiShop/include/public_events.inc.php	(revision 27743)
@@ -1,7 +1,4 @@
 <?php
 defined('MPS_PATH') or die('Hacking attempt!');
-
-
-
 
 /*
@@ -100,22 +97,16 @@
 	ORDER BY `order`
     ;';
-	
   	$result = pwg_query($query);
   	$num_rows = pwg_db_num_rows($result);
-  	
-  	
-   if ($num_rows != 0)
-   {
+     if ($num_rows != 0){
       while($row = pwg_db_fetch_assoc($result)){
 	  $product[$row['product']] = $row['product'].' '. $row['price'].' '. $config['currency'];
-
       $price[] = $row['price'];
-      } 
-	
+     } 
 
   
   $query='SELECT pi.product_id, po.product_id, p.price, p.product, o.name, o.type, o.requi, o.order, po.opt_id, ov.val  
    FROM '.MPS_PROD_IMG_TABLE.' AS pi
-    LEFT JOIN '.MPS_PRODUCT_TABLE.' As p ON p.id = pi.product_id
+    LEFT JOIN '.MPS_PRODUCT_TABLE.' AS p ON p.id = pi.product_id
 	LEFT JOIN '.MPS_PROD_OPT_TABLE.' AS po ON po.product_id = p.id
 	LEFT JOIN '.MPS_OPTION_TABLE.' AS o ON o.id = po.opt_id
@@ -123,8 +114,7 @@
 	WHERE image_id = '.$image_id .'
 	AND po.opt_id IS NOT NULL
-	ORDER BY o.order
+	 ;';
 
-	 ;';
-	  $result = pwg_query($query);
+	 $result = pwg_query($query);
 	while($row = pwg_db_fetch_assoc($result)){
 	{
Index: /extensions/MyPiwiShop/language/en_UK/intro.html
===================================================================
--- /extensions/MyPiwiShop/language/en_UK/intro.html	(revision 27742)
+++ /extensions/MyPiwiShop/language/en_UK/intro.html	(revision 27743)
@@ -1,33 +1,92 @@
-  <p>You want to offer your photos for sale, but some have 16:9 aspect ratio
-  and others 3:2 ? Some are 12-Megapixel pics and others only 5-Megapixel ? It
-  doesn't matter : with this plugin, you'll be able to display the right price(s)
-  and the right description(s) for each one. It'll be the same if you sell tee-shirts,
-  some being only available in extra large size : your customers won't be allowed
-  to select a medium size for them anymore. All you need is a PayPal account
-  and... this plugin.</p>
-  <h4>How to use it&nbsp;?</h4>
-  There are three stages :
-  <ul class="square-list">
-    <li>In the &quot;Configuration&quot; tab, enter your PayPal ID or the e-mail
-      address you use to register with PayPal. Select the currency. Enter the
-      shipment charges if they are the same for all your items. Either, add them
-      to each product's price. When required, write a sentence to present your
-      items (100% cotton tee-shirts made in China...).<br>
-    </li>
-    <li>Then, in the &quot;Product&quot; tab, set description and amount for <u>each
-        item</u> you want to sell ('large size yellow tee-shirt : 8 $, medium
-        size yellow tee-shirt : 7 $' or '30 x 20 cm paper print : 20 ? ; 45 x
-        30 cm paper print : 30 ? ; 40 x 30 cm paper print : 25 ?'...)<br>
-    </li>
-    <li>Finally, open the &quot;Photos/Batch manager&quot; tab on the Administration
-      page. Select one or several pictures (predefined aspect ratio filters have
-      been added&nbsp;: 16:9, 3:2, 4:3, square ; for other ratios, choose &quot;Add
-      a filter/Size&quot;). When all the pictures with same description(s) and
-      price(s) are checked, click on &quot;Choose an action/MyPiwishop&quot; and
-      assign to each picture its corresponding description(s) and amount(s).
-      It's of course possible to add or delete amounts at any time.</li>
+ <style type="text/css">
+.pres li:before {
+    content: "- "; 
+}
+.pres p{
+	margin-top:0
+}
+.pres h5{
+	font-size:1.2em
+}
+
+</style> 
+
+<div class="pres">
+<p>Vous voulez vendre des produits dérivés issus de vos images, par exemple
+  vous voulez proposer à la vente des photos de formats différents,
+  de qualités différentes et afficher pour chacune des tarifs et
+  des tailles de tirages adaptés ? Vous vendez des Tee-shirts floquer de l'image, des mugs, etc ? 
+  
+  Le plugin ajoute sur la page des images un formulaire, qui propose pour l'image concernée les produits que vous aurez créer pour elle.
+  Le paiement ce fait par PayPal, vous devez donc avoir un compte. Lorsque la commande est passée vous récupérez, le nom de l'image concernée, le nom du produit, les options choisie par l'acheteur et ses nome et adresse, depuis votre compte PayPal.</p>
+<br> 
+<h4>Comment l'utiliser ?</h4>
+  <h5>1 Côté administration du plugin dans l'onglet</h5>
+  <p style="font-weight:bold">1.1 _Configuration_</p>
+  <ul> 
+  <li>Saisissez votre code client Paypal ou votre adresse mail Paypal.</li>
+  <li>la monnaie utilisée.</li>
+  <li>les frais d'expédition si ceux-ci sont fixes, (Sinon, incluez-les dans le prix de chaque article).</li>
+  <li>Si nécessaire, saisissez une présentation de vos produits (ex:Tee-shirts 100% coton fabriqué en Chine...).</li>
+  <li>Si nécessaire, saisissez votre texte pour présenter plusieurs produits  (ex:Choisissez un produit dans la liste).</li>
+  <li>Si nécessaire, saisissez votre texte pour présenter un produits unique (ex:produit disponible).</li>
   </ul>
+  
+  <p style="font-weight:bold">1.2 _Produits_</p>
+  <ul> 
+  <li>1.2.1 Ajouter un produit
+  <p>saisissez le nom de votre produit</p>
+  <p>Si nécessaire, saisissez une information complémentaire, cette note n'est visible que de vous dans l'administration de MyPiwiShop</p>
+  <p>saisissez un prix</p>
+  <p>sélectionnez une option ou créez s'en une (reportez vous au paragraphe 3.1)<p>
+  <p>puis valider</p>
+  </li>
+  <li>1.2.2 tableau des produits
+  <p>cocher un ou plusieurs produits pour les supprimer</p>
+  <p>vous pouvez éditer ou dupliquer un produit</p>
+  </li>
+  <li>1.2.3 Changer l'ordre d'affichage des produits dans le formulaire
+  <p> par défaut les produits sont affichés dans l'ordre de leur création, vous pouvez changer cet ordre en faisant glisser/déposer à l'emplacement désiré</p>
+  </li>
+  </ul>
+  
+  <p style="font-weight:bold">1.3 _Options_</p>
+  <ul> 
+  <li>1.3.1 Ajouter une option
+  <p>saisissez le nom de votre option</p>
+  <p>Choisissez le type d'option : select:liste déroulante(ex: taille s/l/xl/xxl); radio: bouton radio(ex:cadre oui/non); text: champ de type texte(ex: largeur de bordure en cm); textarea: champ de texte long(ex: laissez-moi un commentaire); Checkbox: bouton checkbox(ex: j'ai lu et j'accepte les conditions d'utilisation) </p>
+  <p>Si le champ est requis pour valider la commande cochez la case</p>
+  <p>Si nécessaire, saisissez une information complémentaire, cette note n'est visible que de vous dans l'administration de MyPiwiShop</p>
+  <p>En fonction du type d'option sélectionné vous devrez créer des valeurs (select, radio et checkbox)</p>
+  <p>puis valider</p>
+  </li>
+  <li>1.3.2 tableau des produits
+  <p>cocher une ou plusieurs options pour les supprimer</p>
+  <p>vous pouvez éditer ou dupliquer une option</p>
+  </li>
+  <li>1.3.3 Changer l'ordre d'affichage des options dans le formulaire
+  <p> par défaut les options sont affichées dans l'ordre de leur création, vous pouvez changer cet ordre en faisant glisser/déposer à l'emplacement désiré</p>
+  </li>
+
+
+  <h5> 2 Coté administration de piwigo</h5>
+  <p>vous devez maintenant attribuer aux images un ou plusieurs produits, pour cela aller dans photos/gestion par lot</p>
   <br>
-  <h4>Licensing</h4>
-  <p>This work is in the public domain, without any license, you can entirely
-    re-use it and say it's your own work :-) </p>
+  <li>2.1 mode global</li>
+  <p>sélectionner les images auxquelles vous voulez attribuer des produits<p>
+  <p>dans choisir une action, choisissez MyPiwiShop<p>
+  <p>sélectionner vos produits</p>
+  <p>vous pouvez également, supprimer les produits sélectionnés pour ces images</p>
+  <p>puis validez</p>
+  <br>
+  <li>2.2 mode unitaire</li>
+  <p>pour chaque image vous disposez d'un lien "voir les produits associés à cette image"<p>
+  <p>un tableau resence les produits sélectionnés pour l'image</p>
+  <p>vous pouvez cocher/décocher les produits pour les attribuer ou les des-attribuer</p>
+  <p>puis validez</p>
+</ul> 
+  
+  
+  
+  
+  
Index: /extensions/MyPiwiShop/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/MyPiwiShop/language/en_UK/plugin.lang.php	(revision 27742)
+++ /extensions/MyPiwiShop/language/en_UK/plugin.lang.php	(revision 27743)
@@ -1,16 +1,66 @@
 <?php
+$lang[' option']=' option';
+$lang[' product']=' product';
+$lang['(filtered from _MAX_ total records)']='(filtered from _MAX_ total records)';
+$lang['Add ']='Add ';
+$lang['Add a option']='Add a option';
+$lang['Add a product']='Add a product';
+$lang['Add the selected products for these images']='Add the selected products for these images'; 
+$lang['Buy']='Buy';
+$lang['Change the display order of options in the form']='Change the display order of options in the form';
+$lang['Change the display order of products in the form']='Change the display order of products in the form';
+$lang['Configuration']='Configuration';
+$lang['Currency']='Currency';
+$lang['Delete the selected products for these images']='Delete the selected products for these images'; 
+$lang['Display _MENU_ records per page']='Display _MENU_ records per page';
+$lang['Duplicate ']='Duplicate ';
+$lang['Edit ']='Edit ';
+$lang['Edit']='Edit';
+$lang['Fields marked with * must be completed']='Fields marked with * must be completed';
+$lang['No matching option found']='No matching option found';
+$lang['No product selected']='No product selected';
+$lang['Note administrator']='Note administrator'; 
+$lang['Option registered']='Option registered';
+$lang['Option value']='Option value';
+$lang['Options']='Options';
+$lang['Presentation text for a single product']='Presentation text for a single product';
+$lang['Presentation text for several products']='Presentation text for several products';
+$lang['Price']='Price'; 
+$lang['Product registered']='Product registered';
+$lang['Product']='Product';
+$lang['Products have been added to these images']='Products have been added to these images';
+$lang['Products have been removed for these pictures']='Products have been removed for these pictures';
+$lang['Products']='Products';
+$lang['Registered']='Registered';
+$lang['Required']='Required';
+$lang['Select at least one product']='Select at least one product'; 
+$lang['Shipping cost']='Shipping cost';
+$lang['Shop']='Shop';
+$lang['Showing 0 to 0 of 0 records']='Showing 0 to 0 of 0 records';
+$lang['Showing _START_ to _END_ of _TOTAL_ records']='Showing _START_ to _END_ of _TOTAL_ records';
+$lang['The field is required']='The field is required';
+$lang['The order is changed']='The order is changed';
+$lang['Type of option']='Type of option';
+$lang['Type']='Type';
+$lang['Validate the change']='Validate the change';
+$lang['Value']='Value';
+$lang['View cart']='View cart';
+$lang['What is MyPiwiShop?']='What is MyPiwiShop?';
+$lang['Your Paypal id']='Your Paypal id or mail address of your Paypal account';
+$lang['a option']='a option';
+$lang['a product']='a product';
+$lang['add value']='add value';
+$lang['drag / drop to change the order']='drag / drop to change the order';
+$lang['duplicate']='duplicate';
+$lang['option registered']='option registered';
+$lang['products have been added to these images']='products have been added to these images';
+$lang['products have been removed for these pictures']='products have been removed for these pictures';
+$lang['see related products for this picture']='see related products for this picture';
+$lang['shipping fees']='shipping fees';
+$lang['the option']='the option';
+$lang['the order is changed']='the order is changed';
+$lang['the product']='the product';
+$lang['you must enter the name of the option']='you must enter the name of the option';
+$lang['you must enter the product and not the price']='you must enter the product and not the price';
+?>
 
-/*
- * as much as possible prefer using comprehensive keys (such as "Check here") instead of
- * formatted keys (eg "paypalperso_check_button"), it would make your code more readable and help
- * the translation team as well
- */
-
-$lang['Skeleton'] = 'Skeleton';
-$lang['What Skeleton can do for me?'] = 'What Skeleton can do for me?';
-$lang['Check me!'] = 'Check me!';
-$lang['Nothing appened, but you didn\'t check the box!'] = 'Nothing appened, but you didn\'t check the box!';
-$lang['Nothing appened, but you checked the box!'] = 'Nothing appened, but you checked the box!';
-$lang['Common configuration'] = 'Common configuration';
-
-?>
Index: /extensions/MyPiwiShop/language/fr_FR/index.html
===================================================================
--- /extensions/MyPiwiShop/language/fr_FR/index.html	(revision 27742)
+++ /extensions/MyPiwiShop/language/fr_FR/index.html	(revision 27743)
@@ -1,31 +1,7 @@
-  <legend>Vous voulez proposer &agrave; la vente des photos de formats diff&eacute;rents,
-  de qualit&eacute;s diff&eacute;rentes et afficher pour chacune des tarifs et
-  des tailles de tirages adapt&eacute;s ? Vous vendez des Tee-shirts dont certains
-  ne sont disponibles qu'en taille XL et vous ne souhaitez donc pas que vos clients
-  puissent s&eacute;lectionner une taille M ? Si vous poss&eacute;dez un compte
-  Paypal, ce plugin est fait pour vous. </legend>
-  <h4>Comment l'utiliser&nbsp;?</h4>
-  Cela se fait en trois &eacute;tapes : Dans l'onglet &quot;Configuration&quot;,
-  entrez votre code client Paypal ou votre adresse mail Paypal, la monnaie &agrave; utiliser
-  et les frais d'envoi si ceux-ci sont fixes. (Sinon, incluez-les dans le prix
-  de chaque article). Si n&eacute;cessaire, entrez une pr&eacute;sentation de
-  vos produits (Tee-shirts 100% coton r&eacute;alis&eacute;s en Chine...).
-  <p>Dans l'onglet &quot;Produit&quot;, entrez la description de toutes les prestations
-    propos&eacute;es et le prix correspondant (Tee-shirt jaune taille XL : 8 &euro;,
-    Tee-shirt jaune taille L : 7 &euro; ou encore Tirage papier 30 x 20 cm :
-    20 &euro; ; Tirage papier 45 x 30 cm : 30 &euro; ; Tirage papier 40 x 30
-    cm : 25 &euro;...)</p>
-  <p>Rendez-vous enfin dans &quot;Photos&quot;/&quot;Gestion par lot&quot; dans
-    l'interface d'administration. S&eacute;lectionnez vos photos une par une
-    ou par lot (des filtres pr&eacute;d&eacute;finis de formats de photos ont &eacute;t&eacute; ajout&eacute;s&nbsp;:
-    16:9, 3:2, 4:3, carr&eacute; ; pour les autres formats, s&eacute;lectionnez &quot;Ajouter
-    un filtre&quot;/&quot;Dimensions&quot;). Quand une ou plusieurs photos correspondant
-    aux m&ecirc;mes tarifs sont s&eacute;lectionn&eacute;es, allez enfin dans &quot;Choisir
-    une action&quot;, &quot;Multiboutique&quot; et attribuez aux photos tous
-    les tarifs et descriptions qui leur correspondent. Il est bien s&ucirc;r
-    possible de supprimer ou d'ajouter des tarifs ult&eacute;rieurement.<br>
-  </p>
-  <h4>License</h4>
-  <p>Ce plugin est dans le domaine publique, aucune license ne s'y applique,
-    vous pouvez sans probl&egrave;me vous approprier le code sans contrepartie
-  ou mention :-) </p>
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: tensions/MyPiwiShop/language/fr_FR/intro.html
===================================================================
--- /extensions/MyPiwiShop/language/fr_FR/intro.html	(revision 27742)
+++ 	(revision )
@@ -1,31 +1,0 @@
-  <p>Vous voulez proposer &agrave; la vente des photos de formats diff&eacute;rents,
-  de qualit&eacute;s diff&eacute;rentes et afficher pour chacune des tarifs et
-  des tailles de tirages adapt&eacute;s ? Vous vendez des Tee-shirts dont certains
-  ne sont disponibles qu'en taille XL et vous ne souhaitez donc pas que vos clients
-  puissent s&eacute;lectionner une taille M ? Si vous poss&eacute;dez un compte
-  Paypal, ce plugin est fait pour vous. </p>
-  <h4>Comment l'utiliser&nbsp;?</h4>
-  Cela se fait en trois &eacute;tapes : Dans l'onglet &quot;Configuration&quot;,
-  entrez votre code client Paypal ou votre adresse mail Paypal, la monnaie &agrave; utiliser
-  et les frais d'envoi si ceux-ci sont fixes. (Sinon, incluez-les dans le prix
-  de chaque article). Si n&eacute;cessaire, entrez une pr&eacute;sentation de
-  vos produits (Tee-shirts 100% coton r&eacute;alis&eacute;s en Chine...).
-  <p>Dans l'onglet &quot;Produit&quot;, entrez la description de toutes les prestations
-    propos&eacute;es et le prix correspondant (Tee-shirt jaune taille XL : 8 &euro;,
-    Tee-shirt jaune taille L : 7 &euro; ou encore Tirage papier 30 x 20 cm :
-    20 &euro; ; Tirage papier 45 x 30 cm : 30 &euro; ; Tirage papier 40 x 30
-    cm : 25 &euro;...)</p>
-  <p>Rendez-vous enfin dans &quot;Photos&quot;/&quot;Gestion par lot&quot; dans
-    l'interface d'administration. S&eacute;lectionnez vos photos une par une
-    ou par lot (des filtres pr&eacute;d&eacute;finis de formats de photos ont &eacute;t&eacute; ajout&eacute;s&nbsp;:
-    16:9, 3:2, 4:3, carr&eacute; ; pour les autres formats, s&eacute;lectionnez &quot;Ajouter
-    un filtre&quot;/&quot;Dimensions&quot;). Quand une ou plusieurs photos correspondant
-    aux m&ecirc;mes tarifs sont s&eacute;lectionn&eacute;es, allez enfin dans &quot;Choisir
-    une action&quot;, &quot;Multiboutique&quot; et attribuez aux photos tous
-    les tarifs et descriptions qui leur correspondent. Il est bien s&ucirc;r
-    possible de supprimer ou d'ajouter des tarifs ult&eacute;rieurement.<br>
-  </p>
-  <h4>License</h4>
-  <p>Ce plugin est dans le domaine publique, aucune license ne s'y applique,
-    vous pouvez sans probl&egrave;me vous approprier le code sans contrepartie
-  ou mention :-) </p>
Index: /extensions/MyPiwiShop/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/MyPiwiShop/language/fr_FR/plugin.lang.php	(revision 27742)
+++ /extensions/MyPiwiShop/language/fr_FR/plugin.lang.php	(revision 27743)
@@ -3,10 +3,11 @@
 $lang[' product']=' produit';
 $lang['(filtered from _MAX_ total records)']='(filtré de _MAX_ éléments au total)';
+$lang['Add ']='Ajouter ';
 $lang['Add a option']='Ajouter une option';
 $lang['Add a product']='Ajouter un produit';
-$lang['Add ']='Ajouter ';
 $lang['Add the selected products for these images']='Ajouter les produits sélectionnés à ces images'; 
+$lang['Buy']='Acheter';
+$lang['Change the display order of options in the form']='Changer l\'ordre d\'affichage des options dans le formulaire';
 $lang['Change the display order of products in the form']='Changer l\'ordre d\'affichage des produits dans le formulaire';
-$lang['Change the display order of options in the form']='Changer l\'ordre d\'affichage des options dans le formulaire';
 $lang['Configuration']='Configuration';
 $lang['Currency']='Monnaie';
@@ -15,24 +16,15 @@
 $lang['Duplicate ']='Dupliquer ';
 $lang['Edit ']='Editer ';
-$lang['the option']='l\'option';
-$lang['the product']='le produit';
-$lang['a option']='une option';
-$lang['a product']='un produit';
 $lang['Edit']='Editer';
 $lang['Fields marked with * must be completed']='les champs marqués par * doivent être renseignés';
-$lang['Formats image 16/9']='Images au format 16/9';
-$lang['Formats image 3/2']='Images au format 3/2';
-$lang['Formats image 4/3']='Images au format 4/3';
-$lang['Formats image square']='Images au format carré';
 $lang['No matching option found']='aucun élément trouvé';
 $lang['No product selected']='Pas de produit sélectionné';
 $lang['Note administrator']='Note de l\'administrateur'; 
 $lang['Option registered']='Option enregistrée';
+$lang['Option value']='Valeur de l\'option';
 $lang['Options']='Options';
-$lang['Option value']='Valeur de l\'option';
 $lang['Presentation text for a single product']='Texte de présentation pour un seul produit';
 $lang['Presentation text for several products']='Texte de présentation pour plusieurs produits';
 $lang['Price']='Prix'; 
-$lang['Product Register']='produits enregistrés';
 $lang['Product registered']='Produit enregistré';
 $lang['Product']='Produit';
@@ -53,7 +45,9 @@
 $lang['Validate the change']='Valider les changements';
 $lang['Value']='Valeur';
-$lang['What is MyPiwiShop?']='c\'est quoi MyPiwiShop';
-$lang['Your Paypal id']='votre id Paypal';
-$lang['Your Paypal id']='votre id Paypal';
+$lang['View cart']='Voir mon panier';
+$lang['What is MyPiwiShop?']='C\'est quoi MyPiwiShop';
+$lang['Your Paypal id']='Votre id Paypal ou votre email de compte Paypal';
+$lang['a option']='une option';
+$lang['a product']='un produit';
 $lang['add value']='ajouter une valeur';
 $lang['drag / drop to change the order']='faites glisser/déposer pour changer l\'ordre';
@@ -64,5 +58,7 @@
 $lang['see related products for this picture']='voir les produits associés à cette image';
 $lang['shipping fees']='frais d\'expédition';
+$lang['the option']='l\'option';
 $lang['the order is changed']='l\'ordre est changé';
+$lang['the product']='le produit';
 $lang['you must enter the name of the option']='vous devez renseigner le nom de l\'option';
 $lang['you must enter the product and not the price']='vous devez renseigner le non du produit et son prix';
Index: /extensions/MyPiwiShop/main.inc.php
===================================================================
--- /extensions/MyPiwiShop/main.inc.php	(revision 27742)
+++ /extensions/MyPiwiShop/main.inc.php	(revision 27743)
@@ -5,5 +5,5 @@
 Description: a litle shop for your piwigo.
 Plugin URI: auto
-Author: Miklfe/Harry
+Author: Miklfe
 Author URI: http://piwitheme.fr
 */
@@ -13,5 +13,5 @@
 defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');
 
-global $prefixeTable, $template, $conf;
+global $prefixeTable;
 
 
@@ -31,5 +31,4 @@
 define('MPS_DIR',            	PHPWG_ROOT_PATH . PWG_LOCAL_DIR . 'MyPiwiShop/');
 define('MPS_VERSION',        	'auto');
-
 
 // init the plugin
@@ -67,23 +66,33 @@
 include_once(MPS_PATH . 'include/functions.inc.php');
 
-/**
- * plugin initialization
- */
-function mps_init()
+ function mps_init()
 {
-  global $conf, $template;
+  global $prefixeTable;
   
   // apply upgrade if needed
   include_once(MPS_PATH . 'maintain.inc.php');
-  $maintain = new mps_maintain(MPS_ID);
+  $maintain = new MyPiwiShop_maintain(MPS_ID);
   $maintain->autoUpdate(MPS_VERSION, 'install');
- 
- 
+  
+  	$query='SELECT * FROM '.MPS_CONF_TABLE.';';
+	if(pwg_db_num_rows(pwg_query($query))==0){
+      single_insert(
+       $prefixeTable."mps_conf",
+       array(
+        'currency' => 'EUR',
+        )
+      );
+	}
+  
   // load plugin language file
   load_language('plugin.lang', MPS_PATH);
   
+}
+
+
+
+  
   
 
-}
 
 
Index: /extensions/MyPiwiShop/maintain.inc.php
===================================================================
--- /extensions/MyPiwiShop/maintain.inc.php	(revision 27742)
+++ /extensions/MyPiwiShop/maintain.inc.php	(revision 27743)
@@ -2,22 +2,15 @@
 defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');
 
-class mps_maintain extends PluginMaintain
+class MyPiwiShop_maintain extends PluginMaintain
 {
   private $installed = false;
-  
 
-	/*
-   * plugin installation
-   */
+
   function install($plugin_version, &$errors=array())
   {
     global $prefixeTable;
-
-  $tables = mps_get_tables();
-
- if (!in_array($prefixeTable.'mps_conf', $tables))
-  {
-	 $query = "
-	CREATE TABLE IF NOT EXISTS ". $prefixeTable ."mps_conf (
+	
+	pwg_query('	
+	CREATE TABLE IF NOT EXISTS `'. $prefixeTable .'mps_conf` (
 	  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
 	  `PPid` varchar(100) NOT NULL,
@@ -29,14 +22,6 @@
 	  PRIMARY KEY (`id`)
 	) ENGINE=MyISAM DEFAULT CHARSET=utf8
-	;";
+	;');
 	
-    pwg_query($query);
-
-    single_insert(
-      $prefixeTable."mps_conf",
-      array(
-        'currency' => 'EUR',
-        )
-      );
   
 	pwg_query('
@@ -88,21 +73,22 @@
 	) ENGINE=MyISAM DEFAULT CHARSET=utf8
 	;');
+	
+	    $this->installed = true;
+
   }  
-    $this->installed = true;
 	
-} 
+
   /**
    * plugin activation
    */
-  function activate($plugin_version, &$errors=array())
+   function activate($plugin_version, &$errors=array())
   {
 
    if (!$this->installed)
     {
-
       $this->install($plugin_version, $errors);
     }
   }
-  
+ 
   function deactivate()
   {
@@ -116,5 +102,4 @@
   {
     global $prefixeTable;
-	echo('ret'),
     // delete table
     pwg_query('DROP TABLE `'. $prefixeTable .'mps_conf`;');
@@ -127,24 +112,3 @@
 }
 
-function mps_get_tables()
-{
-  global $prefixeTable;
-  
-  $tables = array();
 
-  $query = '
-SHOW TABLES
-;';
-  $result = pwg_query($query);
-
-  while ($row = pwg_db_fetch_row($result))
-  {
-    if (preg_match('/^'.$prefixeTable.'/', $row[0]))
-    {
-      array_push($tables, $row[0]);
-    }
-  }
-
-  return $tables;
-}
-
Index: /extensions/MyPiwiShop/template/MyPiwiShop.tpl
===================================================================
--- /extensions/MyPiwiShop/template/MyPiwiShop.tpl	(revision 27742)
+++ /extensions/MyPiwiShop/template/MyPiwiShop.tpl	(revision 27743)
@@ -15,7 +15,7 @@
 {/if}
 <form id="buyprod" target="paypal" action="https://www.paypal.com/cgi-bin/webscr" method="post" >
+
 <input type="hidden" name="cmd" value="_cart">
 <input type="hidden" name="business" value="{$mps_conf.PPid}">
-<input type="hidden" name="lc" value="FR">
 <input type="hidden" name="item_name" value="{$PAGE_TITLE}">
 <input type="hidden" name="button_subtype" value="products">
@@ -23,5 +23,5 @@
 <input type="hidden" name="add" value="1">
 <input type="hidden" name="bn" value="PP-ShopCartBF:btn_cart_LG.gif:NonHosted">
-<input type="hidden" name="on0" value="taille et type d'impression :">
+<input type="hidden" name="on0" value="{'Product'|@translate}">
 
 <div id="prod-ch">
@@ -35,12 +35,10 @@
 {/foreach}
 {else}
-
 <div class="titre">{$mps_conf.tprmulti}</div>
 <div class="styled">
-<select name="os0" id="prod_sel">
-{html_options options=$mps_product }
+<select name="os0" id="prod_sel">{html_options options=$mps_product }</select>
+</div>
 {/if}
 </select>
-</div>
 </div>
 
@@ -48,5 +46,5 @@
 <span><h2>{'option du produit'|@translate}</h2>
 </span>
-<span id="req">{'Fields marked with * must be completed'|@translate}<span>
+<span id="requi">{'Fields marked with * must be completed'|@translate}</span>
 </div>
 
@@ -56,5 +54,5 @@
 
 <div id="mps_sub">
-<span><input type="submit" class="action buy"  name="sub" value="{'Buy'|@translate}" alt="Buy" ></span>
+<input type="submit" class="action buy"  name="sub" value="{'Buy'|@translate}" alt="Buy" >
 <span class="errors" style="display:none">{'Fields marked with * must be completed'|@translate}</span>
 </div>
Index: /extensions/MyPiwiShop/template/button_basket.tpl
===================================================================
--- /extensions/MyPiwiShop/template/button_basket.tpl	(revision 27742)
+++ /extensions/MyPiwiShop/template/button_basket.tpl	(revision 27743)
@@ -1,36 +1,7 @@
-{footer_script}{literal}
-(function($) {
-	$(document).ready(function(){
-		
-/*		var $Pbask 	= $('#basket').offset(),
-			$w_tit	= $('#tit').width(),
-			$h_tit	= $('#tit').height(),
-			$top	= $Pbask.top - $h_tit,
-			$left	= $Pbask.left - $w_tit;
-
-		$('#basket').hover(function(){
-			$(this).next().css({'position':'absolute','top':$top,'left':$left}).stop( true, true ).fadeToggle()
-			//console.debug($(this).next())
-			//$('#tit').css({'position':'absolute','top':$top,'left':$left}).show();
-		})
-		$('#basket').mouseleave(function(){
-			$('#tit').hide();
-		})*/
-	
-	})
-})(jQuery);
-{/literal}{/footer_script}	
-
-
-
-
-
 {strip}
 {combine_css path=$MPS_PATH|cat:'template/style.css'}
-<a class="pwg-state-default pwg-button-basket noslide" href="https://www.paypal.com/cgi-bin/webscr?cmd=_cart&business={$mps_conf.PPid}&display=1&submit=voir+le+panier"  target="_blank"><span id="basket" class="pwg-icon" style="background:url('{$ROOT_URL}{$MPS_PATH}template/bhover.png') center center no-repeat;"> </span>
-<div id="tit"><p>{'show your basket'|@translate}</p></div>
+<a class="pwg-state-default pwg-button-basket noslide" href="https://www.paypal.com/cgi-bin/webscr?cmd=_cart&business={$mps_conf.PPid}&display=1&submit=voir+le+panier"  target="_blank" title="{'View cart'|@translate}"><span id="basket" class="pwg-icon" style="background:url('{$ROOT_URL}{$MPS_PATH}template/bhover.png') center center no-repeat;"> </span>
 </a>
 
-	</a>
 {/strip}
 
Index: /extensions/MyPiwiShop/template/elem_form_style.css
===================================================================
--- /extensions/MyPiwiShop/template/elem_form_style.css	(revision 27742)
+++ /extensions/MyPiwiShop/template/elem_form_style.css	(revision 27743)
@@ -1,8 +1,7 @@
-﻿
-/* ----------------------------------------------  Reset form elements ---------------------------------------------- */
+﻿/* ----------------------------------------------  Reset form elements ---------------------------------------------- */
 	
-	div.mps input, div.mps select,div.mps textarea {
+	div.mps input, div.mps select, div.mps textarea {
+		font-family:inherit;
 		margin:0; padding:0; font-size:0.85em; outline:none;
-		font-family:inherit;	
 		-moz-box-sizing:border-box; /* Firefox */
 		-webkit-box-sizing:border-box; /* Safari */
@@ -13,5 +12,5 @@
 
 	div.mps input[type="text"],div.mps textarea,div.mps  select,div.mps div.styled,div.mps input[type="file"] {  
-		width:12em; border-radius:2px; border: solid 1px #ccc; padding:0.4em;}
+		min-width:13em; border-radius:2px; border: solid 1px #ccc; padding:0.4em;}
 	
 	div.mps div.styled,div.mps select,div.mps input[type="submit"],div.mps input[type="button"], 
@@ -39,4 +38,5 @@
 
 	div.mps div.styled select {	
+		font-family:inherit;
 		width:115%; background-color:rgba(255,255,255,0); background-image:none;
 		-webkit-appearance: none; border:none; box-shadow:none;}
@@ -111,4 +111,5 @@
 	div.mps input[type="submit"], 
 	div.mps input[type="button"] { 
+		font-family:inherit;
 		padding:0.5em 1em; line-height:1em; cursor:pointer;
 		border-radius:4px; color:#000; font-weight:bold; font-size:inherit;
Index: /extensions/MyPiwiShop/template/js/MyPiwiShop.js
===================================================================
--- /extensions/MyPiwiShop/template/js/MyPiwiShop.js	(revision 27742)
+++ /extensions/MyPiwiShop/template/js/MyPiwiShop.js	(revision 27743)
@@ -1,4 +1,6 @@
 (function($) {
 	$(document).ready(function(){
+	
+		function _init_MyPiwiShop (){
 		if($('#prod_sel').length){
 			var	$Sel = $('#prod-ch select#prod_sel option:selected').attr('value');
@@ -7,5 +9,7 @@
 		};
 		rempopt($Sel);
-	
+		}
+		
+		_init_MyPiwiShop ()
 	
 		$(document).on('change','#prod_sel',function(){	
@@ -25,5 +29,5 @@
 				
 			if (typeof $prod[$Sel] != "undefined") {
-				var $option	= $prod[$Sel].options;	
+				var $option	= $prod[$Sel].options;
 				$('#options_prod').show();
 				$.each($option,function(i, ele){
@@ -39,4 +43,5 @@
 						var $requi ='',
 							$req   ='';
+						$('#requi').hide();
 					};
 						
@@ -78,6 +83,5 @@
 				$('#options_prod').hide();
 			}
-	
-	} 
+		} 
 		
 		$(document).on('change','.checkbox input[type=checkbox]', function () {
Index: /extensions/MyPiwiShop/template/style.css
===================================================================
--- /extensions/MyPiwiShop/template/style.css	(revision 27742)
+++ /extensions/MyPiwiShop/template/style.css	(revision 27743)
@@ -54,4 +54,7 @@
 	text-align:center
 }
+#requi{
+	display:none
+}
 .requi{
 	border-radius:3px;
